<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBannersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: banners
         */
        Schema::create('banners', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('image', 255)->nullable();
            $table->enum('status', ['Active', 'Inactive'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('banners');
    }
}
