<?php

namespace Litecms\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BannerTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Test\Models\Banner $banner)
    {
        return [
            'id'                => $banner->getRouteKey(),
            'key'               => [
                'public'    => $banner->getPublicKey(),
                'route'     => $banner->getRouteKey(),
            ], 
            'name'              => $banner->name,
            'image'             => $banner->image,
            'status'            => $banner->status,
            'url'               => [
                'public'    => trans_url('test/'.$banner->getPublicKey()),
                'user'      => guard_url('test/banner/'.$banner->getRouteKey()),
            ], 
            'status'            => trans('app.'.$banner->status),
            'created_at'        => format_date($banner->created_at),
            'updated_at'        => format_date($banner->updated_at),
        ];
    }
}